jQuery(document).ready(function($){

    $(document).on('click', '#street-food-truck-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'street_food_truck_dismiss_notice'
            }
        });

    });

});